org.apache.commons.jelly.tags.define

## Class JellyBeanTag

- java.lang.Object
- - org.apache.commons.jelly.TagSupport
  - - org.apache.commons.jelly.tags.define.DefineTagSupport
    - - org.apache.commons.jelly.tags.define.BeanTag
      - - org.apache.commons.jelly.tags.define.JellyBeanTag

All Implemented Interfaces:
  Tag

    public class JellyBeanTag
    extends BeanTag

Binds a Java bean to the given named Jelly tag so that the attributes of the tag set the bean properties. After the body of this tag is invoked then the beans invoke() method will be called, if the bean has one.

Version:
  $Revision: 155420 $
Author:
  James Strachan

### Field Summary

### Fields inherited from class org.apache.commons.jelly.TagSupport

`body, context, parent`

### Constructor Summary

Constructors
Constructor and Description
`JellyBeanTag()`

### Method Summary

Methods
`protected Method` `getInvokeMethod(Class theClass)` Extracts the invoke method for the class if one is used.
`String` `getMethod()`
`void` `setMethod(String method)` Sets the name of the method to invoke on the bean.

### Methods inherited from class org.apache.commons.jelly.tags.define.BeanTag

`addAttribute, doTag, getClassLoader, setClassLoader, setClassName, setName, setVarAttribute`

### Methods inherited from class org.apache.commons.jelly.tags.define.DefineTagSupport

`getTagLibrary`

### Methods inherited from class org.apache.commons.jelly.TagSupport

`findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, getBody, getBodyText, getBodyText, getContext, getParent, invokeBody, isEscapeText, isTrim, setBody, setContext, setEscapeText, setParent, setTrim, trimBody`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JellyBeanTag

    public JellyBeanTag()

### Method Detail

#### getMethod

    public String getMethod()

Returns:
  the method name to use, which defaults to 'run' for Runnable objects

#### setMethod

    public void setMethod(String method)

Sets the name of the method to invoke on the bean. This defaults to "run" so that Runnable objects can be invoked, but this property can be set to whatever is required, such as "execute" or "invoke"

#### getInvokeMethod

    protected Method getInvokeMethod(Class theClass)

Description copied from class: `BeanTag`
Extracts the invoke method for the class if one is used.

Overrides:
  `getInvokeMethod` in class `BeanTag`